@import "./variables.less";

/* ----------------------------------------- */
/*  Basic Structure                          */
/* ----------------------------------------- */
.ACE.sheet.actor.character,
.ACE.sheet.actor.npc {
  min-width: 720px;
  min-height: 645px;

  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */

  .sheet-header {

    header {
      flex: 0 0 160px;
    }

    // Character Profile image (larger)
    img.profile {
      flex: 0 0 160px;
      max-width: 160px;
      height: 160px;
      border-width: 0px;
    }

    // Character UPP
    .char-upp {
      flex: 0 0 25px;
      align-items: center;
      font-size: 18px;
      color: @colorTan;
      white-space: nowrap;

      span {
        color: @colorTan;
        margin-right: 3px;
        text-align: left;
        width: calc(100% - 2px);
      }
    }

    // Character Age
    .age {
      flex: 0 0 25px;
      align-items: center;
      color: @colorTan;
      font-size: 18px;

      span {
        flex: none;
        margin-left: 3px;
        text-align: left;
      }

      input[type="number"] {
        color: @colorTan;
        .font-heading-medium();
      }
    }

    .funds {
      align-items: center;
      color: black;
      height: 22px;
      line-height: 22px;
      padding: 2px 0 0;

      input[type="number"] {
        color: black;
        display: block;
        padding: 0;
      }

      span {
        flex: none;
        margin-left: 3px;
        text-align: left;
      }
    }

    // Header Characteristics
    .characteristics {
      a.rest {
        border: 1px solid @colorBeige;
        border-radius: @borderRadius;
        background: rgba(0, 0, 0, 0.05);
        padding: 0 3px;
        margin: 0 3px;
      }

      .hit-dice {
        font-size: 24px;
      }

      .initiative .attribute-footer input {
        width: 32px;
      }
    }

    .summary .proficiency {
      text-align: right;
      padding-right: 5px;
    }
  }

  /* ----------------------------------------- */
  /*  Sheet Body                               */
  /* ----------------------------------------- */

  // Custom Resources
  .resource .attribute-value {
    >input {
      flex: 0 0 25%;
    }

    label.recharge {
      height: 32px;
      position: relative;
      font-family: "Orbitron", sans-serif;
      font-size: 11px;
      text-align: center;
      color: @colorOlive;
      align-items: center;

      input[type="checkbox"] {
        flex-basis: 14px;
        height: 14px;
        width: 14px;
        margin: 0;
        top: -6px;
      }
    }
  }

  ul.skills-list {
    flex: 0 0 212px;

    li.skill {
      h4 {
        .font-body-medium();
        margin: 0 0 0 4px;
        font-size: 13px;
        text-align: left;
      }
    }
  }

  .item-detail.player-class {
    flex: 0 0 180px;
    text-align: right;
    padding-right: 10px;
  }

  /* ----------------------------------------- */
  /*  Item Controls                            */
  /* ----------------------------------------- */

  .inventory,
  .spellbook {
    .item-controls {
      flex: 0 0 68px;

      .item-toggle {
        color: @colorBeige;

        &.active {
          color: @colorOlive;
        }

        &.fixed {
          color: @colorCrimson;

          &:hover {
            text-shadow: none;
          }
        }
      }
    }
  }

  /* ----------------------------------------- */
  /*  Biography                                */
  /* ----------------------------------------- */

  .characteristics {
    flex: 0 0 180px;
    height: 100%;
    padding: 0 3px 3px;

    label {
      flex: 0 0 20px;
      .font-heading-medium();
      font-size: 16px;
      line-height: 20px;
      text-align: center;
    }

    textarea {
      .font-body-medium();
      font-size: 13px;
      border: 1px solid @colorFaint;
      resize: none;
    }
  }

  .biography {
    .font-body-medium();
    font-size: 13px;
    max-width: calc(100% - 180px);
  }
}